simgrid (4.0-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:11:02 +0200

simgrid (4.0-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:00:38 +0200

simgrid (4.0-1) unstable; urgency=medium

  * New upstream release: At last, the "this one is 4 you" release.

    * https://hal.science/hal-04909441 summarizes 10 years of development
      leading to this release.
    * New: Java bindings for the S4U interface
      (see the examples; the doc is still TBD).
    * The platform API was cleaned up and simplified;
      XBT dict and dynars were phased out.
    * MC: performance improvement and bug fixes.

 -- Martin Quinson <mquinson@debian.org>  Wed, 12 Mar 2025 13:44:19 +0100

simgrid (3.36-2) unstable; urgency=medium

  * Enable the model-checking part of this package now that it's quite usable.
  * Enable the json bindings.

 -- Martin Quinson <mquinson@debian.org>  Sat, 14 Sep 2024 16:48:17 +0200

simgrid (3.36-1) unstable; urgency=medium

  * New upstream release: The Anne of Brittany release
    (she became a Duchess 536 years ago).

    - Various improvements and unification of the simulation APIs
    - MC: Enable the verification of Python programs, and of condvars
      and iprobe calls.
    - MC: Exhibit the critical transition when a failure is found.
    - (+ internal refactoring and bug fixes)

 -- Martin Quinson <mquinson@debian.org>  Tue, 10 Sep 2024 01:21:21 +0200

simgrid (3.35-2) unstable; urgency=medium

  * Acknowledge the t64 NMU.
  * d/p/ns3.42_needs_c++20: new patch picked upstream to cope with
    ns3.42 insisting on having C++20 (Closes: #1074147).

 -- Martin Quinson <mquinson@debian.org>  Sun, 23 Jun 2024 22:10:40 +0200

simgrid (3.35-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 03 Feb 2024 22:02:30 +0000

simgrid (3.35-1) unstable; urgency=medium

  * New upstream release: "Thanks Giving up stateful model-checking"
    - Maint: liveness checking is gone. It was fragile and buggy.
      Stateless model checking remains and gets further improved.
    - API: ActivitySet make it easier to manage sets of activities.
    - Plugins chiller, photovoltaic and battery revamped and improved.
    - Performance improvements, both in time and memory.
    - (+ internal refactoring, usability improvements and bug fixes)
  * Drop d/p/commit-2beb5fe which was picked upstream for #1042217.
  * d/copyright: update according to recent upstream changes.

 -- Martin Quinson <mquinson@debian.org>  Sun, 26 Nov 2023 23:38:10 +0100

simgrid (3.34-3) unstable; urgency=medium

  * Integrate an upstream patch to fix the execution with ns3 v3.36+
    (Closes: #1042217).

 -- Martin Quinson <mquinson@debian.org>  Tue, 07 Nov 2023 13:58:45 +0100

simgrid (3.34-2) unstable; urgency=medium

  * d/control: Add 'Rules-Requires-Root: no' as it should be.

 -- Martin Quinson <mquinson@debian.org>  Tue, 18 Jul 2023 16:00:30 +0200

simgrid (3.34-1) unstable; urgency=medium

  * d/control: Also drop lua from the Recommends:
  * New upstream release: 3.34 (3.33 never got released upstream)
    - Maint: MSG and Java are gone (EOL was scheduled for 2020), move
             to C++17, and drop 32bits support.
    - Model: Introduce a fluid I/O model, mixing I/O and network, to
             represent streaming from disk
    - API: DAG/workflow loader; Introducing Tasks which are
           activities that can be fired several times.
    - Doc: Several new documentation sections, and a new tutorial on DAGs.
    - MC: Safety properties now portable to every OS, activated by default
          in all builds (in particular in the Debian package).
    - MC: Introduction ODPOR/SDPOR reductions and guiding strategies
          (better state space traversal).
    - (+ internal refactoring, bug fixes and documentation improvement)
  * d/control: bump Standards-version to 4.6.2.
  * d/control: Java was dropped upstream, so kill the relevant package.
  * d/p: All our patches are integrated or obsoleted by upstream.
  * simgrid-colorizer is not built upstream anymore.

 -- Martin Quinson <mquinson@debian.org>  Tue, 27 Jun 2023 00:56:28 +0200

simgrid (3.32-3) UNRELEASED; urgency=medium

  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 19 Oct 2022 21:28:30 -0000

simgrid (3.32-2) unstable; urgency=medium

  * Build-deps: drop lua; reactivate libboost-context-dev;
    Activate ns3 on all arch since we use it everywhere (Closes: #1021283)

 -- Martin Quinson <mquinson@debian.org>  Wed, 05 Oct 2022 09:00:11 +0200

simgrid (3.32-1) unstable; urgency=medium

  * New upstream release: 3.31.
    - Refactoring the model-checker, enabling synchronization objects and future improvements
    - Introducing BMF sharing, enabling ptasks in regular models (experimental)
    - Further complete Python bindings (Mutex, Semaphore and Barrier)
  * New upstream release: 3.32.
    - Various cleanups around the virtual machines API
    - Improved Python platform generation (more robust, easier to use)
    - Further complete Python bindings (Comm, Engine, ptasks)
  * d/p/remove_umpire: drop this package since UMPIRE test suite was removed upstream.
  * d/copyright: don't exclude UMPIRE anymore: upstream dropped it.
  * r/rules: enable support for ns3 in the package.

 -- Martin Quinson <mquinson@debian.org>  Tue, 04 Oct 2022 00:57:01 +0200

simgrid (3.30+dfsg-2) unstable; urgency=medium

  * Fix javadoc errors with OpenJDK17 leading to FTBFS.
    (Closes: #1012069)

 -- Martin Quinson <mquinson@debian.org>  Mon, 30 May 2022 15:28:33 +0200

simgrid (3.30+dfsg-1) unstable; urgency=medium

  * New upstream release: The Sunday Bloody Sunday release.
    - SimDAG is finally removed, fully superseded by S4U
    - New documentation on calibrating MPI
    - The Algorithms tutorial can now be taken in Python
    - (+ many bug fixes and internal refactoring)

 -- Martin Quinson <mquinson@debian.org>  Mon, 31 Jan 2022 00:17:22 +0100

simgrid (3.29+dfsg-1) unstable; urgency=medium

  * New upstream release v3.29: The "Ask a stupid question" release.
    Please ask a question about SimGrid e.g. on Mattermost:
    https://framateam.org/simgrid/channels/town-square
    - Python bindings for the platform creation API
    - Introduce non-linear resource sharing, allowing decay models
    - New documentation section on realistic I/O modeling
    - (+ many bug fixes and internal refactoring)

  * Mark libsimgrid3.29 as 'Multi-Arch: same'.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Martin Quinson <mquinson@debian.org>  Fri, 08 Oct 2021 00:55:34 +0200

simgrid (3.28+dfsg-2) unstable; urgency=medium

  * d/p/pybind11.diff: patch cherry-picked from upstream to fix issues
    with modern pybind11 (>= 2.7.0).

 -- Martin Quinson <mquinson@debian.org>  Thu, 26 Aug 2021 17:19:05 +0200

simgrid (3.28+dfsg-1) unstable; urgency=medium

  * New upstream release v3.28: The Victoriadagarna Release.
    (birthday of Crown Princess Victoria)
    - Programmatic platform description (only C++ for now)
    - New plugin to simplify producer/consummer applications.
    - MC: new tutorial and associated docker image.
    - SMPI: improve error handling for incorrect advanced usages.
    - Many internal cleanups and refactoring to prepare the future.
  * Included not-so-new upstream release v3.27: The Ragnar Release.
    (anniversary of the siege of Paris by Vikings in 845)
    - SMPI: can now report leaks and hint about the mallocs and kernels
      hindering simulation scalability
    - Doc: Several new sections in the user manual, and start documenting
      the internals.
    - S4U: Direct comms from host to host, without mailboxes.
    - Many internal cleanups and refactoring to prepare the future.
  * Included not-so-new upstream release v3.26: The Release Release.
    (the French lockdown was eased)
    - SMPI: improved support of the proxy apps (including those using petsc)
    - WiFi: easier description in XML; energy plugin; more examples.
    - ns-3: Many bug fixes, can use the wifi models too.
    - (+ many bug fixes, documentation improvement and internal refactoring)

  * Drop d/p/system-libjs-mathjax: upstream removed doxygen files.
  * Stop using chrpath on binaries when it's not need (only the python
    package still needs it, according to lintian).
  * d/p/doxygen-unused: don't fail when doxygen is not installed, as
    we don't use it.
  * d/control: bump Standards-version to 4.6.0:
    - Re-align the debian/copyright and upstream COPYING.
    - Bump debhelper compatibility to 13.
  * d/watch: bump to version 4; use Github instead of GForge.

 -- Martin Quinson <mquinson@debian.org>  Wed, 25 Aug 2021 10:00:03 +0200

simgrid (3.25+dfsg-5) unstable; urgency=medium

  * Don't install the libsimgrid-java.so symlink as nobody will ever
    want to compile any native code against our JNI bindings.

    This saves a dependency from libsimgrid-dev onto libsimgrid-java
    that would be needed to ensure that this link is never dead, but
    this would make the whole java world as a dependency of simgrid
    development (Closes: #858498).

 -- Martin Quinson <mquinson@debian.org>  Tue, 13 Apr 2021 09:59:59 +0200

simgrid (3.25+dfsg-4) unstable; urgency=medium

  * Don't build-depend on libunwind that is only needed by the
    model-checking builds that are not included in Debian. Plus, this
    package doesn't exist on s390x and blocks the progression to testing.

 -- Martin Quinson <mquinson@debian.org>  Sun, 14 Jun 2020 15:25:31 +0200

simgrid (3.25+dfsg-3) unstable; urgency=medium

  * Add the needed build depends to get nice backtraces on error.
    (Closes: #959896)

 -- Martin Quinson <mquinson@debian.org>  Wed, 06 May 2020 22:23:35 +0200

simgrid (3.25+dfsg-2) unstable; urgency=medium

  * Re-enable java on all architectures, including the unofficial ones.
    (Closes: #953394)

 -- Martin Quinson <mquinson@debian.org>  Mon, 09 Mar 2020 03:10:15 +0100

simgrid (3.25+dfsg-1) unstable; urgency=medium

  * New upstream release (The Palindrom Day Release)
    - Improve the Python usability (stability and documentation).
      - A nasty synchronization bug was ironed out
      - The online API documentation was reorganized to include Python and C
    - Upstream further deprecate MSG, which remains in this package for now
    - SimDAG++: Automatic dependencies on S4U activities (experimental)
      - Some features are already implemented but not all of them
      - Cannot block an activity until it's scheduled on a resource
      - No heterogeneous wait_any() that would mix Exec/Comm/Io activities.
      - See examples/s4u/{io,exec,comm}-dependent for what's already there.
  * Don't build with ns3 on mipsel: it does not exist anymore (see #951115).

 -- Martin Quinson <mquinson@debian.org>  Fri, 21 Feb 2020 20:31:20 +0100

simgrid (3.24+dfsg-6) unstable; urgency=medium

  * libsimgrid-java breaks+replace simgrid-java (Closes: #949775).
  * Disable java in cmake on non-official architectures, too.

 -- Martin Quinson <mquinson@debian.org>  Fri, 24 Jan 2020 22:50:12 +0100

simgrid (3.24+dfsg-5) unstable; urgency=medium

  * Don't try to build libsimgrid-java pkg on non-official architectures.
  * The valgrind package does not exist on armel.

 -- Martin Quinson <mquinson@debian.org>  Thu, 23 Jan 2020 21:17:44 +0100

simgrid (3.24+dfsg-4) unstable; urgency=medium

  * java: rename the package libsimgrid-java to stick to the policy
  * Don't suggest the non-existent package java-virtual-machine
  * Cherry-pick another patch from upstream, this one to help DLHC.
  * Drop the now unneeded hack where -funwind-tables is added on ARM.
  * Plus various lintian-induced cleanups to the packaging.

 -- Martin Quinson <mquinson@debian.org>  Mon, 20 Jan 2020 10:52:40 +0100

simgrid (3.24+dfsg-3) unstable; urgency=medium

  * Cherry-pick two commits from upstream to improve reproducibility.

 -- Martin Quinson <mquinson@debian.org>  Thu, 19 Dec 2019 11:11:16 +0100

simgrid (3.24+dfsg-2) unstable; urgency=medium

  * Fix a FTBFS seen on reproducible project with "Build-dep: dh-python"
  * Acknowledge previous non-maintainer upload. Thanks Boyuan.

 -- Martin Quinson <mquinson@debian.org>  Tue, 17 Dec 2019 15:42:24 +0100

simgrid (3.24+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.
  * debian/control: Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Nov 2019 19:50:49 -0500

simgrid (3.24+dfsg-1) unstable; urgency=medium

  * New upstream release (The Clean Disk Release)
    - Introduce an experimental Wifi network model.
    - Introduce <disk> (cleaner logic than <storage>).
    - SMPI: Implement Errhandlers and some more MPI3.1 calls.
    - (+ many bug fixes and internal refactorings)

 -- Martin Quinson <mquinson@debian.org>  Fri, 18 Oct 2019 09:28:10 +0200

simgrid (3.23+dfsg2-3) unstable; urgency=medium

  * libsimgrid-dev: depends on libboost-dev (Closes: #939575).

 -- Martin Quinson <mquinson@debian.org>  Sun, 08 Sep 2019 16:14:43 +0200

simgrid (3.23+dfsg2-2) unstable; urgency=medium

  * d/p/link_alpha_ia64: Fix compilation of smpireplay for Alpha and ia64.
  * d/control: Bump standards-version to 4.4 (no other change needed)

 -- Martin Quinson <mquinson@debian.org>  Tue, 23 Jul 2019 12:28:03 +0200

simgrid (3.23+dfsg2-1) unstable; urgency=medium

  * New upstream release (The Exotic Solstice Release)
    - Support for Solaris and Haiku OSes. Just for fun :)
    - SMPI: more of MPI3.1; some MPI/IO and async collectives.
    - Python bindings can now be installed from pip.
    - (+ many many bug fixes and internal refactorings)
  * Disable simgrid-doc: upstream only provide the online version.
  * Bump dh compat to 12.

 -- Martin Quinson <mquinson@debian.org>  Tue, 25 Jun 2019 18:36:12 +0200

simgrid (3.22+dfsg-1) unstable; urgency=medium

  * New upstream version (The Late Easter Christmas Release)
    - Introducing the Python bindings (still beta)
    - Doc: SMPI tutorial and platform description ported to RTD
    - Many internal cleanups leading to some user-level speedups
    - (+ the classical bug fixes and internal refactorings)
  * d/control: Bump standards-version to 4.3 (no other change needed)

 -- Martin Quinson <mquinson@debian.org>  Mon, 13 May 2019 15:25:07 +0200

simgrid (3.21+dfsg-4) unstable; urgency=medium

  * d/p/reproducible-build: make builds reproducible (from upstream).
  * Mark simgrid-doc as Multi-Arch: foreign.
  * Use the right path to the Perl interpreter in scripts to please
    lintian.

 -- Martin Quinson <mquinson@debian.org>  Thu, 22 Nov 2018 08:01:56 +0100

simgrid (3.21+dfsg-3) unstable; urgency=medium

  * Another attempt at fixing kFreeBSD, cherry-picking upstream patches.

 -- Martin Quinson <mquinson@debian.org>  Sun, 21 Oct 2018 22:55:04 +0200

simgrid (3.21+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Martin Quinson ]
  * Add a new patch to fix a FTBFS on FreeBSD 32bits.
  * d/control: bump standards-version to 4.2.0 (no other change required)

 -- Martin Quinson <mquinson@debian.org>  Mon, 15 Oct 2018 22:51:45 +0200

simgrid (3.21+dfsg-1) unstable; urgency=medium

  * New upstream release (3.19: Moscovitly-cold Spring release):
    * SMPI: Allow one to start new actors and ranks after simulation start.
    * SMPI: Support ICC, better testing on classical proxy apps.
    * Some kernel headers are now installed, allowing external plugins.
    * (+ the classical bug fixes and doc improvement)
  * New upstream release (3.20: The proxy snake_case() release):
    * Sanitize the public API. Compatibility wrappers in place for one year.
    * More CI: ~45 Proxy Apps + BigDFT + StarPU now tested nightly
    * MPI: Port the trace replay engine to C++, fix visualization
    * (+ the classical bug fixes and doc improvement)
  * New upstream release (3.21: Restarting Documentation release):
    * Start to overhaul the documentation, and move to Sphinx + RTD.
    * Allow dynamic replay of MPI apps, controlled by S4U actors
    * Rewrite the support for auto-restarted actors (was utterly broken)
    * (+ the classical bug fixes and doc improvement)
  * Move smpimain from libsimgrid3.XX to libsimgrid-dev to allow to
    install more than one version of the versioned lib package.
  * Restore the build-dep on NS3 now that this package is fixed.
  * d/copyright align with upstream COPYING; add a Files-Excluded stanza
  * d/watch: now, uscan can properly repack and remove unfree stuff
  * d/rules: kill the get-orig-source taget to please lintian
  * d/control:
    - Point Vcs-* fields to salsa.debian.org
    - Bump standards version to 4.1.5 (get-orig-source target is gone)
  * Use system-wide versions of jquery and jquery-ui in javadoc.

 -- Martin Quinson <mquinson@debian.org>  Fri, 05 Oct 2018 22:22:24 +0200

simgrid (3.18+dfsg-1) unstable; urgency=medium

  * New upstream release (SimGrid 4 beta coming to town):
    - MSG is now deprecated; new projects should use S4U.
    - Convert almost all interesting MSG examples to S4U.
    - New model: energy consumption due to the network.
    - Major cleanups in the disk and storage subsystems.
    - (+ further deprecate XBT, bug fixes and doc improvement)
  * Don't build-dep on NS3: it has RC bugs that I fail to fix
  * libsimgrid3.18 conflicts with previous libs because they all
    install smpimain (Closes: #880216).
  * d/control: Bump standards version to 4.1.2 (no change required)

 -- Martin Quinson <mquinson@debian.org>  Mon, 25 Dec 2017 18:19:09 +0100

simgrid (3.17+dfsg-1) unstable; urgency=medium

  * New upstream release (Drained Leaks). Changes since 3.16:
    - Many many internal cleanups (almost 700 commits since 3.16).
    - The coverage of our tests is above 80%.
    - All memleaks but one plugged; A dozen of bugs fixed.
    - XBT: Further replace XBT with std::* constructs.
  * d/p/atomic-library: drop (integrated upstream).
  * d/control: Bump standards version to 4.1.1 (no change required)

 -- Martin Quinson <mquinson@debian.org>  Mon, 09 Oct 2017 07:45:55 +0200

simgrid (3.16+dfsg-3) unstable; urgency=medium

  * d/p/atomic-library: Pass --as-needed -latomic *after* the link args
    Hopefully (Closes: #872881).

 -- Martin Quinson <mquinson@debian.org>  Thu, 24 Aug 2017 09:59:23 +0200

simgrid (3.16+dfsg-2) unstable; urgency=medium

  * SimGrid needs default-jdk version >= 2:1.7~ (Closes: #872882).
  * d/p/atomic-library: Fix a FTBFS on armel, mipsel and friends
    Thanks to Aaron M. Ucko for those two patches (Closes: #872881).

 -- Martin Quinson <mquinson@debian.org>  Tue, 22 Aug 2017 15:14:31 +0200

simgrid (3.16+dfsg-1) unstable; urgency=medium

  * New upstream release. Changes introduced in 3.15:
    - S4U: progress, integrating more parts of SimDag; New examples.
    - SMPI: Support MPI 2.2; Convert internals to C++ (TBC).
    - Java: Massive memleaks and performance issues fixed.
    - (+ bug fixes, cleanups and documentation improvements)
  * New upstream release. Changes introduced in 3.16:
    - S4U: Progress; Activity refcounting is now automatic.
    - XML: <AS> can now be named <zone> as they should.
    - SMPI: Further performance improvements; RMA support.
    - Cloud: Multi-core VMs (do not overcommit them yet)
    - (+ bug fixes, cleanups and documentation improvements)
  * Repack the sources to drop the Umpire examples: they are non-free
    and were never used in Debian package (Closes: #866754)
  * d/rules: Obey the noopt DEBIAN_BUILD_OPTIONS (Closes: #827980)
  * d/rules: Obey the nodoc DEBIAN_BUILD_OPTIONS (as requested by policy)
  * d/control: Bump standards version to 4.0.0 (no change but nodoc support)

 -- Martin Quinson <mquinson@debian.org>  Tue, 01 Aug 2017 23:10:38 +0200

simgrid (3.14.159-2) unstable; urgency=medium

  * d/control: libsimgrid-dev depends on simgrid-java (Closes: #858498)

 -- Martin Quinson <mquinson@debian.org>  Thu, 23 Mar 2017 00:17:30 +0100

simgrid (3.14.159-1) unstable; urgency=medium

  * New upstream release: The Christmas Pi release (better approximation).

    - Documentation reorganized and improved
    - S4U interface further rising, toward SimGrid 4
      - Routing code rewritten for readability
      - Virtual Machines almost turned into a plugin
      - MSG, SimDag, MPI interfaces mostly unchanged
    - The model-checker now works on FreeBSD too.

  * Change dh compat level to 9
  * d/control: add a build-dep on python3
  * debian/*: Fix many lintian errors
  * d/copyright: Full rewrite to be machine-readable.

 -- Martin Quinson <mquinson@debian.org>  Wed, 28 Dec 2016 23:43:42 +0100

simgrid (3.13-1) unstable; urgency=medium

  * New upstream release: The Half Release, a.k.a. the Zealous Easter Trim.
    - Half of the lines of code are gone.
      - v3.12: 286k lines; v3.13: 142k lines (+ comments)
      - Experimental untested unused "features" removed
      - We rewrote several parts in C++ instead of C
    - Introducing v4 of the XML platform format
      - Many long-due cleanups (details in the Changelog)
    - MSG examples fully reorganized (in C and Java)
    - The S4U interface is rising, toward SimGrid 4
      - All host manipulations now done in S4U
      - SimDag was mostly rewritten on top of S4U
      - MSG & SimDag interfaces mostly unchanged
  * Drop all our patches, that were integrated upstream.
  * Update our build-dep to lua5.3.
  * Enable the support for the NS3 bindings.
  * Use the system libjs-mathjax to not fetch it from the internet.
  * d/control: Bump standards version to 3.9.8 (no other change)

 -- Martin Quinson <mquinson@debian.org>  Thu, 28 Apr 2016 00:44:41 +0200

simgrid (3.12-2) unstable; urgency=medium

  * Fix a FTBFS on non amd64 machines (Closes: #814272).

 -- Martin Quinson <mquinson@debian.org>  Fri, 12 Feb 2016 22:06:54 +0100

simgrid (3.12-1) unstable; urgency=medium

  * New upstream release.
    - Many interface glitches addressed, everywhere.
      - Require g++-4.7, Java 7 and boost 1.48
      - Builds on Linux, OS X, Windows and FreeBSD
      - See ChangeLog for renamed functions and options.
    - Energy plugin: major cleanups/rewrites.
      http://simgrid.org/tutorials/simgrid-energy-101.pdf
    - Model-Checker progresses toward production use:
      - More robust (now runs in a separate process).
      - More efficient (with snapshots' memory compaction).
      - More usable (execution paths replayed out of MC)
      http://simgrid.org/tutorials/simgrid-mc-101.pdf
    - SMPI improvements:
      - Better standard coverage  - SMP-aware collectives
      - InfiniBand model          - Early support for RMA
      - Replay: Dynamic selector  - MVAPICH2 selector
      http://simgrid.org/tutorials/simgrid-smpi-101.pdf

  * Drop all patches, as they got included upstream
  * Drop build-dep on texlive-font-utils. Upstream dropped LaTeX docs.
  * build-dep += libboost-context-dev (optional features).

 -- Martin Quinson <mquinson@debian.org>  Tue, 09 Feb 2016 12:14:16 +0100

simgrid (3.11.1-10) unstable; urgency=medium

  * Set HTML_TIMESTAMP to NO and gzip -n to make package reproducible.
    Patch by akira <marivalenm@gmail.com>, many thanks (Closes: #789715).

 -- Martin Quinson <mquinson@debian.org>  Mon, 29 Jun 2015 22:57:58 +0200

simgrid (3.11.1-9) unstable; urgency=medium

  * add some dependencies to really fix #755047:
    - libsimgrid-dev breaks libsimgrid3.10 and libsimgrid3.11 (<<3.11.1-8)
    - libsimgrid3.11 breaks+replaces libsimgrid3.10
    - This should hint apt about how to solve my mess :-(

 -- Martin Quinson <mquinson@debian.org>  Sat, 13 Dec 2014 22:15:36 +0100

simgrid (3.11.1-8) unstable; urgency=medium

  * d/c: update VCS to not use any deprecated URLs
  * d/c: improve short descriptions
  * d/c: libsimgrid-java suggests java-virtual-machine, captain obvious.
  * Install tesh and graphicator tools as part of the libsimgrid-dev,
    not as part of libsimgrid3.11 to allow the co-installation of
    several library versions (Closes: #755047).
  * d/p/fix-bashism.diff: fix a bashism that mainly appears on Mac OSX
    (Closes: #772329).

 -- Martin Quinson <mquinson@debian.org>  Tue, 09 Dec 2014 01:47:57 +0100

simgrid (3.11.1-7) unstable; urgency=medium

  * Disable LTO on all non-AMD architectures to circumvent a seemingly
    bug in gcc 4.9.
  * Re-enable parallel builds now that LTO issues are (hopefully) fixed.

 -- Martin Quinson <mquinson@debian.org>  Sat, 05 Jul 2014 00:20:25 +0200

simgrid (3.11.1-6) unstable; urgency=medium

  * gcc-ar does not seem to work with LTO on non-amd architectures, so
    kill our static lib and switch back to regular ar, just to see.

 -- Martin Quinson <mquinson@debian.org>  Sun, 29 Jun 2014 23:32:26 +0200

simgrid (3.11.1-5) unstable; urgency=medium

  * d/p/fix-java-multiple-definitions.diff: fix java files being
    declared twice on cmd line: this makes some architectures to fail.
    (patch taken upstream).

 -- Martin Quinson <mquinson@debian.org>  Fri, 27 Jun 2014 11:46:05 +0200

simgrid (3.11.1-4) unstable; urgency=medium

  * d/p/make_doc: diable the generation of pdf documentation as it
    does not add much over the html documentation, but breaks on hurd.
  * Disable again the parallel build to see if it helps gcc to have LTO.

 -- Martin Quinson <mquinson@debian.org>  Thu, 26 Jun 2014 12:04:25 +0200

simgrid (3.11.1-3) unstable; urgency=medium

  * Disable LTO on kfreebsd and sparc, gcc keeps failing because of this.

 -- Martin Quinson <mquinson@debian.org>  Sun, 22 Jun 2014 21:51:55 +0200

simgrid (3.11.1-2) unstable; urgency=medium

  * Drop build-dep on libpcre3-dev, long time no use.
  * Build-depend on texlive-font-utils to have epstopdf.
  * d/p/fix-swig-constness.diff: fix constness issues on kfreebsd and sparc.
    (patch taken upstream)
  * d/p/fix-with-gcc-4.9.diff: use gcc-ar and gcc-ranlib instead of ar
    and ranlib for gcc >=4.9 (patch taken upstream)

 -- Martin Quinson <mquinson@debian.org>  Wed, 18 Jun 2014 20:49:36 +0200

simgrid (3.11.1-1) unstable; urgency=medium

  * New upstream release.
    - Surf is now in C++ (and documented!)
    - Virtual Machine model for Cloud Simulation
    - Surf callbacks: plug your code directly in Surf!
    - Simcalls are script-generated to clean the mess
  * Reactivate parallel builds, that were fixed upstream

 -- Martin Quinson <mquinson@debian.org>  Thu, 05 Jun 2014 04:32:45 +0200

simgrid (3.10-8) unstable; urgency=medium

  * Get libsimgrid-dev depend on libf2c2-dev as smpif.h includes f2c.h
    (Closes: #747171)

 -- Martin Quinson <mquinson@debian.org>  Wed, 07 May 2014 00:13:42 +0200

simgrid (3.10-7) unstable; urgency=medium

  * Only build-dep on valgrind on archs that provide it.

 -- Martin Quinson <mquinson@debian.org>  Tue, 28 Jan 2014 23:36:00 +0100

simgrid (3.10-6) unstable; urgency=low

  * Build-depends on valgrind so that SimGrid programs become
    valgrindable (Closes: #735749).

 -- Martin Quinson <mquinson@debian.org>  Sat, 18 Jan 2014 20:42:39 +0100

simgrid (3.10-5) unstable; urgency=medium

  * Disable parallel builds, as gfortran breaks when building mpich3
    tests in parallel.

 -- Martin Quinson <mquinson@debian.org>  Sat, 11 Jan 2014 22:46:35 +0100

simgrid (3.10-4) unstable; urgency=low

  * Put me as a maintainer and Lucas as an uploader.
  * Get all the new packages conflicting with the old all-in-one
    package (Closes: #734834, #734835).

 -- Martin Quinson <mquinson@debian.org>  Sat, 11 Jan 2014 16:19:55 +0100

simgrid (3.10-2) unstable; urgency=medium

  * Split package in four components: binaries, doc, headers, java.
  * Enable parallel build if the option is set in DEB_BUILD_OPTIONS
  * Rename graphicator to simgrid-graphicator to preserve the namespace
  * d/control: Bump standards version to 3.9.5 (no other change)
  * Upload to unstable now that the package is reasonably clean.

 -- Martin Quinson <mquinson@debian.org>  Sun, 05 Jan 2014 10:12:15 +0100

simgrid (3.10-1) experimental; urgency=low

  * Packaging the final version of the 3.10 release
  * Adapt to the recent versions of cmake:
    - Change -Dprefix into -DCMAKE_INSTALL_PREFIX
    - Don't use -Dcustom_flags but set the environment

 -- Martin Quinson <mquinson@debian.org>  Sun, 24 Nov 2013 15:41:30 +0100

simgrid (3.10~rc2-1) experimental; urgency=low

  * New upstream snapshot, preparing the next 3.10 release.
    - (Hopefully) Fix java building on kfreebsd
    - Adapt to cmake 2.8.12 (Jar dependencies madness)

 -- Martin Quinson <mquinson@debian.org>  Sat, 09 Nov 2013 12:40:00 +0100

simgrid (3.9.90-3) experimental; urgency=low

  * Add gfortran to the build-depends for all SMPI tests (bummer)
  * Add default-jdk to the build-depends for Java (painful)

 -- Martin Quinson <mquinson@debian.org>  Sat, 02 Nov 2013 23:33:03 +0100

simgrid (3.9.90-2) experimental; urgency=low

  * Enable the Java bindings.
  * Enable the full test suite of SMPI features.

 -- Martin Quinson <mquinson@debian.org>  Sat, 02 Nov 2013 20:14:28 +0100

simgrid (3.9.90-1) experimental; urgency=low

  * New upstream snapshot, to prepare the 3.10 release.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 24 Oct 2013 13:31:29 +0200

simgrid (3.9~rc1-1) unstable; urgency=low

  * New upstream release: the "Grasgory" release. Major changes:
    - Gras was completely removed from this version.
    - Documentation reorganization to ease browsing it.
    - New default value for the TCP_gamma parameter: 4MiB

 -- Martin Quinson <mquinson@debian.org>  Thu, 31 Jan 2013 00:24:51 +0100

simgrid (3.8.1-2) unstable; urgency=low

  * upload to unstable, in the hope to get into the next ubuntu
    release. It's too late already for next Debian, but we still can
    make this one.

 -- Martin Quinson <mquinson@debian.org>  Fri, 11 Jan 2013 11:38:30 +0100

simgrid (3.8.1-1) experimental; urgency=low

  * New upstream release.

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 26 Oct 2012 23:11:03 +0200

simgrid (3.7.1-1) unstable; urgency=low

  [ Martin Quinson ]
  * debian/copyright: update FSF address (thanks lintian for noticing)

  [ Lucas Nussbaum ]
  * New upstream release.

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 09 Jun 2012 16:24:44 +0200

simgrid (3.7-2) unstable; urgency=low

  * Add -funwind-tables on arm. Fix FTBFS due to broken backtrace() (See
    #637360).

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 26 May 2012 10:13:37 +0200

simgrid (3.7-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3. No changes needed.
  * debian/rules: Enable the SMPI library in the package. Closes: #656102.
  * Build with -O2 on ia64. Closes: #640538.
  * Use dpkg-buildflags to generate CFLAGS and LDFLAGS. Enable hardening.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 24 May 2012 16:08:59 +0200

simgrid (3.6.2-1) unstable; urgency=low

  * New upstream release ("Not coding new stuff allows to polish old things")
    - Portability to Mac and Windows improved.
    - Possible misconfigurations (contextes, libPCRE) made impossible by
      removing the option or providing sane default value.
    - Exerimental support to NS3 simulator as a backend.
  * Drop test_progs_return_type.diff and no-init-malloc.diff: merged upstream.

 -- Martin Quinson <mquinson@debian.org>  Wed, 05 Oct 2011 16:24:43 +0200

simgrid (3.6.1-3) unstable; urgency=low

  * Add no-init-malloc.diff: fix FTBFS on Hurd.

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 30 Jul 2011 11:44:55 +0200

simgrid (3.6.1-2) unstable; urgency=low

  * Add test_progs_return_type.diff: fix checking for semaphores on kFreeBSD.
    Closes: #632316

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 20 Jul 2011 23:58:50 +0200

simgrid (3.6.1-1) unstable; urgency=low

  * new upstream version (bug fix on MacOSX: no change for us)

 -- Martin Quinson <mquinson@debian.org>  Mon, 27 Jun 2011 14:08:39 +0200

simgrid (3.6-1) unstable; urgency=low

  * New upstream version: The 3.6 is ready now (yuhu)

 -- Martin Quinson <mquinson@debian.org>  Tue, 21 Jun 2011 09:24:10 +0200

simgrid (3.6~rc3-1) unstable; urgency=low

  * New upstream version: Third release candidate to 3.6
    - disable the tests that are not to be run in release settings
    - fix packaging issues, mainly impacting MacOS X users

 -- Martin Quinson <mquinson@debian.org>  Thu, 16 Jun 2011 15:56:18 +0200

simgrid (3.6~rc2-1) unstable; urgency=low

  * New upstream version: Release candidate to 3.6
    (There were two of them to take a last minute change into account)
  * First upload to unstable
  * Bump standards-version to 3.9.2

 -- Martin Quinson <mquinson@debian.org>  Tue, 24 May 2011 17:28:10 +0200

simgrid (3.6~b2-1) experimental; urgency=low

  * New upstream pre-release for the upcomming 3.6: beta1
    - fix the build on kfreebsd by disabling MMAP support
      (we're using MMAP_ANONYMOUS, which is linux only)
    - most examples seem valgrind clean now
    - fix the make clean target: package should builds twice in a row
    - much less warnings in doxygen even if not perfect yet
    - disable tests using raw contextes on arch not providing them
    - add a manpage for simgrid_update_xml
  * build-depend on libpcre3-dev to enable the Vivaldi routing model
  * Build manually the manpage for now since it's only activated in
    make simgrid_documentation target, that has too much B-D for us.

 -- Martin Quinson <mquinson@debian.org>  Tue, 19 Apr 2011 17:25:22 +0200

simgrid (3.6~b1-1) experimental; urgency=low

  * New upstream pre-release for the upcomming 3.6: beta1
    - Fix compilation on armel and kfreebsd buildd (hopefully)
    - Various other corrections: getting close to the release

 -- Martin Quinson <mquinson@debian.org>  Mon, 18 Apr 2011 17:40:45 +0200

simgrid (3.6~a1-1) experimental; urgency=low

  * Initial upload to Debian, based on an SVN snapshot. Closes: #615484.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 26 Feb 2011 23:17:59 +0100
